LessTokenMaker
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea.modes

## Class LessTokenMaker

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.TokenMakerBase
  - - org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker
    - - org.fife.ui.rsyntaxtextarea.AbstractJFlexCTokenMaker
      - - org.fife.ui.rsyntaxtextarea.modes.CSSTokenMaker
        - - org.fife.ui.rsyntaxtextarea.modes.LessTokenMaker

- All Implemented Interfaces:
    TokenMaker

      public class LessTokenMaker
      extends CSSTokenMaker

  Scanner for Less files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexCTokenMaker

      `AbstractJFlexCTokenMaker.CStyleInsertBreakAction`

  - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.modes.CSSTokenMaker

      `CSS_C_STYLE_COMMENT, CSS_CHAR_LITERAL, CSS_PROPERTY, CSS_STRING, CSS_VALUE, INTERNAL_CSS_CHAR, INTERNAL_CSS_MLC, INTERNAL_CSS_PROPERTY, INTERNAL_CSS_STRING, INTERNAL_CSS_VALUE, YYEOF, YYINITIAL`

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `offsetShift, s, start`

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `currentToken, firstToken, previousToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LessTokenMaker()` Constructor; overridden to enable the niceties added by Less.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getMarkOccurrencesOfTokenType(int type)` Returns whether tokens of the specified type should have "mark occurrences" enabled for the current programming language.

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.modes.CSSTokenMaker

      `addToken, getClosestStandardTokenTypeForInternalType, getCurlyBracesDenoteCodeBlocks, getShouldIndentNextLineAfter, getTokenList, isIdentifierChar, setHighlightingLess, yybegin, yycharat, yyclose, yylength, yylex, yypushback, yyreset, yystate, yytext`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexCTokenMaker

      `createInsertBreakAction, getCurlyBracesDenoteCodeBlocks, getInsertBreakAction`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `yybegin`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `addNullToken, addToken, addToken, createOccurrenceMarker, getLanguageIndex, getLastTokenTypeOnLine, getLineCommentStartAndEnd, getOccurrenceMarker, isMarkupLanguage, resetTokenList, setLanguageIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LessTokenMaker

          public LessTokenMaker()

      Constructor; overridden to enable the niceties added by Less.

  - ### Method Detail

    - #### getMarkOccurrencesOfTokenType

          public boolean getMarkOccurrencesOfTokenType(int type)

      Returns whether tokens of the specified type should have "mark occurrences" enabled for the current programming language. The default implementation returns true if `type` is `TokenTypes.IDENTIFIER`. Subclasses can override this method to support other token types, such as `TokenTypes.VARIABLE`.
      Specified by:
        `getMarkOccurrencesOfTokenType` in interface `TokenMaker`
      Overrides:
        `getMarkOccurrencesOfTokenType` in class `CSSTokenMaker`
      Parameters:
        `type` - The token type.
      Returns:
        Whether tokens of this type should have "mark occurrences" enabled.